osgText::Text3D Class Reference

`#include <Text3D>`

Inheritance diagram for osgText::Text3D:

## Classes

struct | GlyphRenderInfo

## Public Types

enum | RenderMode { PER_FACE , PER_GLYPH }
Public Types inherited from osgText::TextBase
enum | CharacterSizeMode { OBJECT_COORDS , SCREEN_COORDS , OBJECT_COORDS_WITH_MAXIMUM_SCREEN_SIZE_CAPPED_BY_FONT_HEIGHT }
enum | AlignmentType { LEFT_TOP , LEFT_CENTER , LEFT_BOTTOM , CENTER_TOP , CENTER_CENTER , CENTER_BOTTOM , RIGHT_TOP , RIGHT_CENTER , RIGHT_BOTTOM , LEFT_BASE_LINE , CENTER_BASE_LINE , RIGHT_BASE_LINE , LEFT_BOTTOM_BASE_LINE , CENTER_BOTTOM_BASE_LINE , RIGHT_BOTTOM_BASE_LINE , BASE_LINE = LEFT_BASE_LINE }
enum | AxisAlignment { XY_PLANE , REVERSED_XY_PLANE , XZ_PLANE , REVERSED_XZ_PLANE , YZ_PLANE , REVERSED_YZ_PLANE , SCREEN , USER_DEFINED_ROTATION }
enum | Layout { LEFT_TO_RIGHT , RIGHT_TO_LEFT , VERTICAL }
enum | DrawModeMask { TEXT = 1 , BOUNDINGBOX = 2 , FILLEDBOUNDINGBOX = 4 , ALIGNMENT = 8 }
typedef osg::ref_ptr< osg::Vec3Array > | Coords
Public Types inherited from osg::Drawable

enum

AttributeTypes {
VERTICES = 0 , WEIGHTS = 1 , NORMALS = 2 , COLORS = 3 ,
SECONDARY_COLORS = 4 , FOG_COORDS = 5 , ATTRIBUTE_6 = 6 , ATTRIBUTE_7 = 7 ,
TEXTURE_COORDS = 8 , TEXTURE_COORDS_0 = TEXTURE_COORDS , TEXTURE_COORDS_1 = TEXTURE_COORDS_0+1 , TEXTURE_COORDS_2 = TEXTURE_COORDS_0+2 ,
TEXTURE_COORDS_3 = TEXTURE_COORDS_0+3 , TEXTURE_COORDS_4 = TEXTURE_COORDS_0+4 , TEXTURE_COORDS_5 = TEXTURE_COORDS_0+5 , TEXTURE_COORDS_6 = TEXTURE_COORDS_0+6 ,
TEXTURE_COORDS_7 = TEXTURE_COORDS_0+7
}

typedef DrawableUpdateCallback | UpdateCallback
typedef DrawableEventCallback | EventCallback
typedef DrawableCullCallback | CullCallback
typedef unsigned int | AttributeType
Public Types inherited from osg::Node
typedef std::vector< Group * > | ParentList
typedef unsigned int | NodeMask
typedef std::vector< std::string > | DescriptionList
Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }

## Public Member Functions

| Text3D ()
| Text3D (const Text3D &text, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Object (osgText, Text3D) float getCharacterDepth() const
void | setCharacterDepth (float characterDepth)
RenderMode | getRenderMode () const
void | setRenderMode (RenderMode renderMode)
osg::StateSet * | getWallStateSet ()
const osg::StateSet * | getWallStateSet () const
osg::StateSet * | getOrCreateWallStateSet ()
void | setWallStateSet (osg::StateSet *wallStateSet)
osg::StateSet * | getBackStateSet ()
osg::StateSet * | getBackStateSet () const
osg::StateSet * | getOrCreateBackStateSet ()
void | setBackStateSet (osg::StateSet *backStateSet)
virtual void | drawImplementation (osg::RenderInfo &renderInfo) const
virtual bool | supports (const osg::Drawable::AttributeFunctor &) const
virtual bool | supports (const osg::Drawable::ConstAttributeFunctor &) const
virtual void | accept (osg::Drawable::ConstAttributeFunctor &af) const
virtual bool | supports (const osg::PrimitiveFunctor &) const
virtual void | accept (osg::PrimitiveFunctor &pf) const
virtual void | resizeGLObjectBuffers (unsigned int maxSize)
virtual void | releaseGLObjects (osg::State *state=0) const
virtual osg::BoundingBox | computeBoundingBox () const
Public Member Functions inherited from osgText::TextBase
| TextBase ()
| TextBase (const TextBase &text, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
virtual bool | isSameKindAs (const osg::Object *obj) const
virtual const char * | className () const
virtual const char * | libraryName () const
void | setColor (const osg::Vec4 &color)
const osg::Vec4 & | getColor () const
virtual void | setFont (Font *font=0)
virtual void | setFont (osg::ref_ptr< Font > font)
virtual void | setFont (const std::string &fontfile)
Font * | getFont ()
const Font * | getFont () const
void | setStyle (Style *style)
Style * | getStyle ()
const Style * | getStyle () const
Style * | getOrCreateStyle ()
void | setFontResolution (unsigned int width, unsigned int height)
unsigned int | getFontWidth () const
unsigned int | getFontHeight () const
void | setText (const String &text)
void | setText (const std::string &text)
void | setText (const std::string &text, String::Encoding encoding)
void | setText (const wchar_t *text)
String & | getText ()
const String & | getText () const
void | update ()
void | setCharacterSize (float height)
void | setCharacterSize (float height, float aspectRatio)
float | getCharacterHeight () const
float | getCharacterAspectRatio () const
void | setCharacterSizeMode (CharacterSizeMode mode)
CharacterSizeMode | getCharacterSizeMode () const
void | setMaximumWidth (float maximumWidth)
float | getMaximumWidth () const
void | setMaximumHeight (float maximumHeight)
float | getMaximumHeight () const
void | setLineSpacing (float lineSpacing)
float | getLineSpacing () const
void | setPosition (const osg::Vec3 &pos)
const osg::Vec3 & | getPosition () const
void | setAlignment (AlignmentType alignment)
AlignmentType | getAlignment () const
void | setAxisAlignment (AxisAlignment axis)
AxisAlignment | getAxisAlignment () const
void | setRotation (const osg::Quat &quat)
const osg::Quat & | getRotation () const
void | setAutoRotateToScreen (bool autoRotateToScreen)
bool | getAutoRotateToScreen () const
void | setLayout (Layout layout)
Layout | getLayout () const
void | setDrawMode (unsigned int mode)
unsigned int | getDrawMode () const
void | setBoundingBoxMargin (float margin)
float | getBoundingBoxMargin () const
void | setBoundingBoxColor (const osg::Vec4 &color)
const osg::Vec4 & | getBoundingBoxColor () const
void | setKerningType (KerningType kerningType)
KerningType | getKerningType () const
unsigned int | getLineCount () const
virtual void | compileGLObjects (osg::RenderInfo &renderInfo) const
Coords & | getCoords ()
const Coords & | getCoords () const
void | getCoord (unsigned int i, osg::Vec2 &c) const
void | getCoord (unsigned int i, osg::Vec3 &c) const
const osg::Matrix & | getMatrix () const
bool | computeMatrix (osg::Matrix &matrix, osg::State *state=0) const
Public Member Functions inherited from osg::Drawable
| Drawable ()
| Drawable (const Drawable &drawable, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Node (osg, Drawable)
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual void | computeDataVariance ()
MatrixList | getWorldMatrices (const osg::Node *haltTraversalAtNode=0) const
void | setInitialBound (const osg::BoundingBox &bbox)
const BoundingBox & | getInitialBound () const
const BoundingSphere & | getBound () const
const BoundingBox & | getBoundingBox () const
virtual BoundingSphere | computeBound () const
void | setComputeBoundingBoxCallback (ComputeBoundingBoxCallback *callback)
ComputeBoundingBoxCallback * | getComputeBoundingBoxCallback ()
const ComputeBoundingBoxCallback * | getComputeBoundingBoxCallback () const
virtual void | setShape (Shape *shape)
template<class T>
void | setShape (const ref_ptr< T > &shape)
Shape * | getShape ()
const Shape * | getShape () const
void | setSupportsDisplayList (bool flag)
bool | getSupportsDisplayList () const
void | setUseDisplayList (bool flag)
bool | getUseDisplayList () const
GLuint & | getDisplayList (unsigned int contextID) const
virtual void | setUseVertexBufferObjects (bool flag)
bool | getUseVertexBufferObjects () const
void | setUseVertexArrayObject (bool flag)
bool | getUseVertexArrayObject () const
virtual void | dirtyGLObjects ()
virtual unsigned int | getGLObjectSizeHint () const
void | draw (RenderInfo &renderInfo) const
void | drawInner (RenderInfo &renderInfo) const
void | setCreateVertexArrayStateCallback (CreateVertexArrayStateCallback *cb)
CreateVertexArrayStateCallback * | getCreateVertexArrayStateCallback ()
const CreateVertexArrayStateCallback * | getCreateVertexArrayStateCallback () const
VertexArrayState * | createVertexArrayState (RenderInfo &renderInfo) const
void | setVertexArrayStateList (VertexArrayStateList &vasl)
VertexArrayStateList & | getVertexArrayStateList ()
const VertexArrayStateList & | getVertexArrayStateList () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setDrawCallback (DrawCallback *dc)
DrawCallback * | getDrawCallback ()
const DrawCallback * | getDrawCallback () const
virtual void | accept (AttributeFunctor &)
virtual bool | supports (const PrimitiveIndexFunctor &) const
virtual void | accept (PrimitiveIndexFunctor &) const
Public Member Functions inherited from osg::Node
| Node ()
| Node (const Node &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const
virtual Object * | clone (const CopyOp &copyop) const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual Geometry * | asGeometry ()
virtual const Geometry * | asGeometry () const
virtual Group * | asGroup ()
virtual const Group * | asGroup () const
virtual Transform * | asTransform ()
virtual const Transform * | asTransform () const
virtual Switch * | asSwitch ()
virtual const Switch * | asSwitch () const
virtual Geode * | asGeode ()
virtual const Geode * | asGeode () const
virtual osgTerrain::Terrain * | asTerrain ()
virtual const osgTerrain::Terrain * | asTerrain () const
virtual void | accept (NodeVisitor &nv)
virtual void | ascend (NodeVisitor &nv)
virtual void | traverse (NodeVisitor &)
const ParentList & | getParents () const
ParentList | getParents ()
Group * | getParent (unsigned int i)
const Group * | getParent (unsigned int i) const
unsigned int | getNumParents () const
NodePathList | getParentalNodePaths (osg::Node *haltTraversalAtNode=0) const
MatrixList | getWorldMatrices (const osg::Node *haltTraversalAtNode=0) const
void | setUpdateCallback (Callback *nc)
template<class T>
void | setUpdateCallback (const ref_ptr< T > &nc)
Callback * | getUpdateCallback ()
const Callback * | getUpdateCallback () const
void | addUpdateCallback (Callback *nc)
template<class T>
void | addUpdateCallback (const ref_ptr< T > &nc)
void | removeUpdateCallback (Callback *nc)
template<class T>
void | removeUpdateCallback (const ref_ptr< T > &nc)
unsigned int | getNumChildrenRequiringUpdateTraversal () const
void | setEventCallback (Callback *nc)
template<class T>
void | setEventCallback (const ref_ptr< T > &nc)
Callback * | getEventCallback ()
const Callback * | getEventCallback () const
void | addEventCallback (Callback *nc)
template<class T>
void | addEventCallback (const ref_ptr< T > &nc)
void | removeEventCallback (Callback *nc)
template<class T>
void | removeEventCallback (const ref_ptr< T > &nc)
unsigned int | getNumChildrenRequiringEventTraversal () const
void | setCullCallback (Callback *nc)
template<class T>
void | setCullCallback (const ref_ptr< T > &nc)
Callback * | getCullCallback ()
const Callback * | getCullCallback () const
void | addCullCallback (Callback *nc)
template<class T>
void | addCullCallback (const ref_ptr< T > &nc)
void | removeCullCallback (Callback *nc)
template<class T>
void | removeCullCallback (const ref_ptr< T > &nc)
void | setCullingActive (bool active)
bool | getCullingActive () const
unsigned int | getNumChildrenWithCullingDisabled () const
bool | isCullingActive () const
unsigned int | getNumChildrenWithOccluderNodes () const
bool | containsOccluderNodes () const
void | setNodeMask (NodeMask nm)
NodeMask | getNodeMask () const
void | setStateSet (osg::StateSet *stateset)
template<class T>
void | setStateSet (const osg::ref_ptr< T > &stateset)
osg::StateSet * | getOrCreateStateSet ()
osg::StateSet * | getStateSet ()
const osg::StateSet * | getStateSet () const
void | setDescriptions (const DescriptionList &descriptions)
DescriptionList & | getDescriptions ()
const DescriptionList & | getDescriptions () const
const std::string & | getDescription (unsigned int i) const
std::string & | getDescription (unsigned int i)
unsigned int | getNumDescriptions () const
void | addDescription (const std::string &desc)
void | setInitialBound (const osg::BoundingSphere &bsphere)
const BoundingSphere & | getInitialBound () const
void | dirtyBound ()
const BoundingSphere & | getBound () const
void | setComputeBoundingSphereCallback (ComputeBoundingSphereCallback *callback)
template<class T>
void | setComputeBoundingSphereCallback (const ref_ptr< T > &callback)
ComputeBoundingSphereCallback * | getComputeBoundingSphereCallback ()
const ComputeBoundingSphereCallback * | getComputeBoundingSphereCallback () const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
std::string | getCompoundClassName () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Types

typedef std::vector< GlyphRenderInfo > | LineRenderInfo
typedef std::vector< LineRenderInfo > | TextRenderInfo
Protected Types inherited from osgText::TextBase
typedef osg::ref_ptr< osg::Vec2Array > | TexCoords
typedef osg::ref_ptr< osg::Vec4Array > | ColorCoords
typedef std::vector< osg::ref_ptr< osg::DrawElements > > | Primitives
Protected Types inherited from osg::Drawable
typedef osg::buffered_value< GLuint > | GLObjectList

## Protected Member Functions

virtual | ~Text3D ()
String::iterator | computeLastCharacterOnLine (osg::Vec2 &cursor, String::iterator first, String::iterator last)
void | computeGlyphRepresentation ()
void | copyAndOffsetPrimitiveSets (osg::Geometry::PrimitiveSetList &dest_PrimitiveSetList, osg::Geometry::PrimitiveSetList &src_PrimitiveSetList, unsigned int offset)
Protected Member Functions inherited from osgText::TextBase
virtual | ~TextBase ()
virtual osg::StateSet * | createStateSet ()
virtual void | assignStateSet ()
void | initArraysAndBuffers ()
osg::VertexArrayState * | createVertexArrayStateImplementation (osg::RenderInfo &renderInfo) const
void | positionCursor (const osg::Vec2 &endOfLine_coords, osg::Vec2 &cursor, unsigned int linelength)
String::iterator | computeLastCharacterOnLine (osg::Vec2 &cursor, String::iterator first, String::iterator last)
void | computePositions ()
virtual void | computePositionsImplementation ()
void | setupDecoration ()
unsigned int | addCoord (const osg::Vec2 &c)
unsigned int | addCoord (const osg::Vec3 &c)
void | addTexCoord (const osg::Vec2 &tc)
Protected Member Functions inherited from osg::Drawable
Drawable & | operator= (const Drawable &)
virtual | ~Drawable ()
void | setBound (const BoundingBox &bb) const
Protected Member Functions inherited from osg::Node
virtual | ~Node ()
void | addParent (osg::Group *parent)
void | removeParent (osg::Group *parent)
void | setNumChildrenRequiringUpdateTraversal (unsigned int num)
void | setNumChildrenRequiringEventTraversal (unsigned int num)
void | setNumChildrenWithCullingDisabled (unsigned int num)
void | setNumChildrenWithOccluderNodes (unsigned int num)
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

osg::Geometry::PrimitiveSetList | _frontPrimitiveSetList
osg::Geometry::PrimitiveSetList | _wallPrimitiveSetList
osg::Geometry::PrimitiveSetList | _backPrimitiveSetList
TextRenderInfo | _textRenderInfo
RenderMode | _renderMode
osg::ref_ptr< osg::StateSet > | _wallStateSet
osg::ref_ptr< osg::StateSet > | _backStateSet
Protected Attributes inherited from osgText::TextBase
osg::Vec4 | _color
osg::ref_ptr< Font > | _font
osg::ref_ptr< Font > | _fontFallback
osg::ref_ptr< Style > | _style
FontResolution | _fontSize
float | _characterHeight
CharacterSizeMode | _characterSizeMode
float | _maximumWidth
float | _maximumHeight
float | _lineSpacing
String | _text
osg::Vec3 | _position
AlignmentType | _alignment
AxisAlignment | _axisAlignment
osg::Quat | _rotation
bool | _autoRotateToScreen
Layout | _layout
unsigned int | _drawMode
float | _textBBMargin
osg::Vec4 | _textBBColor
KerningType | _kerningType
unsigned int | _lineCount
bool | _glyphNormalized
osg::Vec3 | _offset
osg::Vec3 | _normal
osg::BoundingBox | _textBB
osg::BoundingBox | _textBBWithMargin
osg::Matrix | _matrix
Primitives | _decorationPrimitives
osg::ref_ptr< osg::VertexBufferObject > | _vbo
osg::ref_ptr< osg::ElementBufferObject > | _ebo
Coords | _coords
Coords | _normals
ColorCoords | _colorCoords
TexCoords | _texcoords
Protected Attributes inherited from osg::Drawable
BoundingBox | _initialBoundingBox
ref_ptr< ComputeBoundingBoxCallback > | _computeBoundingBoxCallback
BoundingBox | _boundingBox
ref_ptr< Shape > | _shape
bool | _supportsDisplayList
bool | _useDisplayList
bool | _supportsVertexBufferObjects
bool | _useVertexBufferObjects
bool | _useVertexArrayObject
GLObjectList | _globjList
VertexArrayStateList | _vertexArrayStateList
ref_ptr< DrawCallback > | _drawCallback
ref_ptr< CreateVertexArrayStateCallback > | _createVertexArrayStateCallback
Protected Attributes inherited from osg::Node
BoundingSphere | _initialBound
ref_ptr< ComputeBoundingSphereCallback > | _computeBoundCallback
BoundingSphere | _boundingSphere
bool | _boundingSphereComputed
ParentList | _parents
ref_ptr< Callback > | _updateCallback
unsigned int | _numChildrenRequiringUpdateTraversal
ref_ptr< Callback > | _eventCallback
unsigned int | _numChildrenRequiringEventTraversal
ref_ptr< Callback > | _cullCallback
bool | _cullingActive
unsigned int | _numChildrenWithCullingDisabled
unsigned int | _numChildrenWithOccluderNodes
NodeMask | _nodeMask
ref_ptr< StateSet > | _stateset
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Friends

class | Font

## Additional Inherited Members

Static Public Member Functions inherited from osg::Drawable
static GLuint | generateDisplayList (unsigned int contextID, unsigned int sizeHint=0)
static void | deleteDisplayList (unsigned int contextID, GLuint globj, unsigned int sizeHint=0)
static void | setMinimumNumberOfDisplayListsToRetainInCache (unsigned int minimum)
static unsigned int | getMinimumNumberOfDisplayListsToRetainInCache ()
Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Member Typedef Documentation

## LineRenderInfo

typedef std::vector<GlyphRenderInfo> osgText::Text3D::LineRenderInfo

protected

## TextRenderInfo

typedef std::vector<LineRenderInfo> osgText::Text3D::TextRenderInfo

protected

## Member Enumeration Documentation

## RenderMode

enum osgText::Text3D::RenderMode

Deprecated.

Enumerator
PER_FACE |
PER_GLYPH |

## Constructor & Destructor Documentation

## Text3D() [1/2]

osgText::Text3D::Text3D | ( |  | ) |

Referenced by META_Object(), and Text3D().

## Text3D() [2/2]

osgText::Text3D::Text3D | ( | const Text3D & | text,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY )

References osg::CopyOp::SHALLOW_COPY, and Text3D().

## ~Text3D()

virtual osgText::Text3D::~Text3D | ( |  | ) |

inline protected virtual

## Member Function Documentation

## accept() [1/2]

virtual void osgText::Text3D::accept | ( | osg::Drawable::ConstAttributeFunctor & | af | ) | const

virtual

accept an ConstAttributeFunctor and call its methods to tell it about the internal attributes that this Drawable has.

Reimplemented from osg::Drawable.

## accept() [2/2]

virtual void osgText::Text3D::accept | ( | osg::PrimitiveFunctor & | pf | ) | const

virtual

accept a PrimtiveFunctor and call its methods to tell it about the internal primtives that this Drawable has.

Reimplemented from osg::Drawable.

## computeBoundingBox()

virtual osg::BoundingBox osgText::Text3D::computeBoundingBox | ( |  | ) | const

virtual

Compute the bounding box around Drawables's geometry.

Reimplemented from osgText::TextBase.

## computeGlyphRepresentation()

void osgText::Text3D::computeGlyphRepresentation | ( |  | ) |

protected virtual

Implements osgText::TextBase.

## computeLastCharacterOnLine()

String::iterator osgText::Text3D::computeLastCharacterOnLine | ( | osg::Vec2 & | cursor,
|  | String::iterator | first,
|  | String::iterator | last )

protected

## copyAndOffsetPrimitiveSets()

void osgText::Text3D::copyAndOffsetPrimitiveSets | ( | osg::Geometry::PrimitiveSetList & | dest_PrimitiveSetList,
|  | osg::Geometry::PrimitiveSetList & | src_PrimitiveSetList,
|  | unsigned int | offset )

protected

## drawImplementation()

virtual void osgText::Text3D::drawImplementation | ( | osg::RenderInfo & | renderInfo | ) | const

virtual

Draw the text.

Reimplemented from osg::Drawable.

## getBackStateSet() [1/2]

osg::StateSet * osgText::Text3D::getBackStateSet | ( |  | ) |

inline

Get the back StateSet

References _backStateSet.

## getBackStateSet() [2/2]

osg::StateSet * osgText::Text3D::getBackStateSet | ( |  | ) | const

inline

Get the back StateSet

References _backStateSet.

## getOrCreateBackStateSet()

osg::StateSet * osgText::Text3D::getOrCreateBackStateSet | ( |  | ) |

inline

Get or create the back StateSet

References _backStateSet.

## getOrCreateWallStateSet()

osg::StateSet * osgText::Text3D::getOrCreateWallStateSet | ( |  | ) |

inline

Get or create the wall StateSet

References _wallStateSet.

## getRenderMode()

RenderMode osgText::Text3D::getRenderMode | ( |  | ) | const

inline

Deprecated, value is now ignored.

References _renderMode.

## getWallStateSet() [1/2]

osg::StateSet * osgText::Text3D::getWallStateSet | ( |  | ) |

inline

Get the wall StateSet

References _wallStateSet.

## getWallStateSet() [2/2]

const osg::StateSet * osgText::Text3D::getWallStateSet | ( |  | ) | const

inline

Get the wall StateSet

References _wallStateSet.

## META_Object()

osgText::Text3D::META_Object | ( | osgText | ,
|  | Text3D | ) const

Get the Charactere Depth of text.

References Text3D().

## releaseGLObjects()

virtual void osgText::Text3D::releaseGLObjects | ( | osg::State * | state = 0 | ) | const

virtual

If State is non-zero, this function releases OpenGL objects for the specified graphics context. Otherwise, releases OpenGL objexts for all graphics contexts.

Reimplemented from osgText::TextBase.

## resizeGLObjectBuffers()

virtual void osgText::Text3D::resizeGLObjectBuffers | ( | unsigned int | maxSize | ) |

virtual

Resize any per context GLObject buffers to specified size.

Reimplemented from osgText::TextBase.

## setBackStateSet()

void osgText::Text3D::setBackStateSet | ( | osg::StateSet * | backStateSet | ) |

inline

Set the back StateSet

References _backStateSet.

## setCharacterDepth()

void osgText::Text3D::setCharacterDepth | ( | float | characterDepth | ) |

Set the Charactere Depth of text.

## setRenderMode()

void osgText::Text3D::setRenderMode | ( | RenderMode | renderMode | ) |

inline

Deprecated, value is now ignored.

References _renderMode.

## setWallStateSet()

void osgText::Text3D::setWallStateSet | ( | osg::StateSet * | wallStateSet | ) |

inline

Set the wall StateSet

References _wallStateSet.

## supports() [1/3]

virtual bool osgText::Text3D::supports | ( | const osg::Drawable::AttributeFunctor & |  | ) | const

inline virtual

return false, osgText::Text does not support accept(AttributeFunctor&).

Reimplemented from osg::Drawable.

## supports() [2/3]

virtual bool osgText::Text3D::supports | ( | const osg::Drawable::ConstAttributeFunctor & |  | ) | const

inline virtual

return true, osgText::Text does support accept(ConstAttributeFunctor&).

Reimplemented from osg::Drawable.

## supports() [3/3]

virtual bool osgText::Text3D::supports | ( | const osg::PrimitiveFunctor & |  | ) | const

inline virtual

return true, osgText::Text does support accept(PrimitiveFunctor&) .

Reimplemented from osg::Drawable.

## Friends And Related Symbol Documentation

## Font

friend class Font

friend

References Font.

Referenced by Font.

## Member Data Documentation

## _backPrimitiveSetList

osg::Geometry::PrimitiveSetList osgText::Text3D::_backPrimitiveSetList

protected

## _backStateSet

osg::ref_ptr<osg::StateSet> osgText::Text3D::_backStateSet

protected

Referenced by getBackStateSet(), getBackStateSet(), getOrCreateBackStateSet(), and setBackStateSet().

## _frontPrimitiveSetList

osg::Geometry::PrimitiveSetList osgText::Text3D::_frontPrimitiveSetList

protected

## _renderMode

RenderMode osgText::Text3D::_renderMode

protected

Referenced by getRenderMode(), and setRenderMode().

## _textRenderInfo

TextRenderInfo osgText::Text3D::_textRenderInfo

protected

## _wallPrimitiveSetList

osg::Geometry::PrimitiveSetList osgText::Text3D::_wallPrimitiveSetList

protected

## _wallStateSet

osg::ref_ptr<osg::StateSet> osgText::Text3D::_wallStateSet

protected

Referenced by getOrCreateWallStateSet(), getWallStateSet(), getWallStateSet(), and setWallStateSet().

The documentation for this class was generated from the following file:

- Text3D